package com.ht.svg.animat;

import com.sun.webpane.webkit.dom.ElementImpl;

class BlinkingModel {
	private ElementImpl element;
	private String attributeName;
	private String value1;
	private String value2;

	public BlinkingModel(ElementImpl element, String attributeName, String value1, String value2) {
		super();
		this.element = element;
		this.attributeName = attributeName;
		this.value1 = value1;
		this.value2 = value2;
	}

	public ElementImpl getElement() {
		return element;
	}

	public void setElement(ElementImpl element) {
		this.element = element;
	}

	public String getAttributeName() {
		return attributeName;
	}

	public void setAttributeName(String attributeName) {
		this.attributeName = attributeName;
	}

	public String getValue1() {
		return value1;
	}

	public void setValue1(String value1) {
		this.value1 = value1;
	}

	public String getValue2() {
		return value2;
	}

	public void setValue2(String value2) {
		this.value2 = value2;
	}

}
